#include <Xtreme/XRenderer.h>

#include ".\BirdiesRevenge.h"
#include ".\Pop.h"



Pop::Pop()
{
  m_Type = Birdie2::UT_POP;

  m_MovementBounds.set( 0, 0, 40, 40 );

  m_Floating = true;
  m_LifeTime = 0.5f;

  SetAnimation( "Pop" );
}



void Pop::Update( Level& Level, const GR::f32 fElapsedTime )
{
  Unit::Update( Level, fElapsedTime );
}



void Pop::ProcessEvent( Level& Level, const eUnitEvent& Event )
{
  Unit::ProcessEvent( Level, Event );

  switch ( Event )
  {
    case ET_BLOCKED_LEFT:
      break;
    case ET_BLOCKED_RIGHT:
      break;
    case ET_BLOCKED_UP:
      break;
    case ET_FALL_START:
      break;
    case ET_FALL_END:
      break;
  }
}